[@rxap/form-system](../wiki/globals) / UseMethodDefinition

# Interface: UseMethodDefinition\<ReturnType, Parameter, Config\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:32](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L32)

## Type Parameters

• **ReturnType** = `unknown`

• **Parameter** = `unknown`

• **Config** *extends* [`UseMethodConfig`](../wiki/Interface.UseMethodConfig)\<`ReturnType`, `Parameter`\> = [`UseMethodConfig`](../wiki/Interface.UseMethodConfig)\<`ReturnType`, `Parameter`\>

## Properties

### config?

> `optional` **config**: `Config`

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:38](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L38)

***

### method

> **method**: `ProviderToken`\<`Method`\<`ReturnType`, `Parameter`\>\>

Defined in: [packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts:37](https://gitlab.com/rxap/packages/-/blob/e4552670b179901abc7ce57cc3ff490ac705b867/packages/angular/form-system/src/lib/mixins/extract-methods.mixin.ts#L37)
